%global debug_package %{nil}

Name:           boost-di
Version:        1.2.0
Release:        2%{?dist}
Summary:        C++14 Dependency Injection Library

License:        Boost
URL:            https://github.com/boost-ext/di
Source0:        %{url}/archive/v%{version}.tar.gz
Patch0:         di_no_error_on_warning.patch
Patch1:         di_fix_failing_test.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
Your C++14 header only Dependency Injection library with no dependencies

%package        devel
Summary:        Development files for %{name}

%description    devel
This package contains the header file for using %{name}.

%prep
%autosetup -p 0 -n di-%{version}

%build
%cmake
%cmake_build

%if 0%{?rhel}
%check
%ctest
%endif

%install
install -d "${RPM_BUILD_ROOT}%{_includedir}/boost/di"
install -m 644 -t "${RPM_BUILD_ROOT}%{_includedir}/boost" include/boost/di.hpp
cd include
find boost/di -type f -exec install -Dm 644 "{}" "${RPM_BUILD_ROOT}%{_includedir}/{}" \;
cd ../extension/include
find boost/di -type f -exec install -Dm 644 "{}" "${RPM_BUILD_ROOT}%{_includedir}/{}" \;

%files devel
%{_includedir}/boost/di.hpp
%{_includedir}/boost/di/
